#include <qstring.h>
#include <qthread.h>
#include <stdlib.h>

#include "book.h"
#include "editor.h"
#include "picture.h"
#include "pictureitem.h"


void Editor::run()
{
    system(command_.latin1());
    editorThread_ = 0;
}


void Editor::edit(const PictureItem* pic)
{
    QString command = pic->getPicture()->getBook()->getAttribute("editor")
                    + QString(" '%1'").arg(pic->getPicture()->filePath());
    if (!editorThread_) {
        editorThread_ = new Editor();
        editorThread_->setCommand(command);
        editorThread_->start();
    }
    else {
        system(command.latin1());
    }
}


Editor* Editor::editorThread_ = 0;
