#include <qdir.h>
#include <qstring.h>
#include <qthread.h>
#include <stdlib.h>

#include "book.h"
#include "browser.h"


void Browser::run()
{
    system(command_.latin1());
    browserThread_ = 0;
}


void Browser::view(const Book* book)
{
    QDir rootDir(book->getDir());
    rootDir.cd(book->getAttribute("html_dir"));
    QString command = book->getAttribute("browser") + 
        QString(" '%1'").arg(rootDir.filePath("index.html"));

    if (!browserThread_) {
        browserThread_ = new Browser();
        browserThread_->setCommand(command);
        browserThread_->start();
    }
    else {
        system(command.latin1());
    }
}


Browser* Browser::browserThread_ = 0;
