#ifndef EDITOR_H
#define EDITOR_H

#include <qthread.h>
#include <qstring.h>

class PictureItem;

class Editor  : private QThread
{
    public:
        static void edit(const PictureItem* picture);
        void setCommand(QString command) { command_ = command; }
        
    private:
        virtual void run();
        static Editor* editorThread_;
        QString command_;
};

#endif
