#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include ".ui/settingsdialogbase.h"

class Book;

class SettingsDialog : public SettingsDialogBase
{
    public:
        void setBook(Book* book)
            { Q_CHECK_PTR(book); book_ = book; }
        void button_template_clicked();
        void button_stylesheet_clicked();
        void check_originalsCreate_toggled(bool toggled);

    public slots:
        void exec();
        void accept();
    
    protected:
        Book* book() { Q_CHECK_PTR(book_) ; return book_; }

    private:
        Book* book_;
};

#endif
